<?php
if(!defined('CORE'))
	exit(0);
	
if(isset($_GET['check']))
{
	$_POST['phone'] = trim(str_replace('-','',$_POST['phone']));
	$_POST['username'] = strtolower(trim($_POST['username']));
	$_POST['sponsor'] = strtolower(trim($_POST['sponsor']));
	$_POST['email'] = strtolower(trim($_POST['email']));
	
	$_SESSION['mc_data'] = $_POST;
	
	if(strlen($_POST['username']) < 3)
		echo 'username='.$Core->Lang->phrase('Username is too short.').'|';
	else
	{
		$rs = $Core->DB->query('SELECT * FROM users WHERE username=\''.$Core->DB->esc($_POST['username']).'\' LIMIT 1');
		
		if($rs->rowCount() > 0)
			echo 'username='.$Core->Lang->phrase('Username is taken.').'|';
		else
			echo 'username='.$Core->Lang->phrase('Good').'|';
	}
	if(strlen($_POST['password']) < 6)
		echo 'password='.$Core->Lang->phrase('Password is too short.').'|';
	else
		echo 'password='.$Core->Lang->phrase('Good').'|';
	if($_POST['password'] != $_POST['confirm_password'])
		echo 'confirm_password='.$Core->Lang->phrase('Passwords don\'t match.').'|';
	else
		echo 'confirm_password='.$Core->Lang->phrase('Match').'|';
	if(strlen($_POST['full_name']) < 1)
		echo 'full_name='.$Core->Lang->phrase('Full name is blank.').'|';
	else
	{
		$fullName = explode(' ',trim($_POST['full_name']));
		if(count($fullName) < 2)
			echo 'full_name='.$Core->Lang->phrase('Please enter your full name.').'|';
		else
			echo 'full_name='.$Core->Lang->phrase('Good').'|';
	}
	if(strpos($_POST['email'],'@') < 1 || strpos($_POST['email'],'.') < 1)
		echo 'email='.$Core->Lang->phrase('Invalid email.').'|';
	else
	{
		$rs = $Core->DB->query('SELECT * FROM users WHERE email=\''.$Core->DB->esc($_POST['email']).'\' LIMIT 1');
		
		if($rs->rowCount() > 0)
			echo 'email='.$Core->Lang->phrase('E-mail is taken.').'|';
		else
			echo 'email='.$Core->Lang->phrase('Good').'|';
	}
	/*
	if(!is_numeric($_POST['phone']) || strlen($_POST['phone']) != 10)
		echo 'phone='.$Core->Lang->phrase('Invalid phone.').'|';
	else
		echo 'phone='.$Core->Lang->phrase('Good').'|';
		
	$rs = $Core->DB->query('SELECT * FROM users WHERE username=\''.$Core->DB->esc(strtolower(trim($_POST['sponsor']))).'\' LIMIT 1');
	
	if($rs->rowCount() < 1)
		echo 'sponsor='.$Core->Lang->phrase('Sponsor was not found on the database.').'|';
	else
		echo 'sponsor='.$Core->Lang->phrase('Sponsor found on the database.').'|';
	*/
	$Core->end();
}

if(isset($_POST['b_submit']))
{
	$_POST['phone'] = trim(str_replace('-','',$_POST['phone']));
	$_POST['username'] = strtolower(trim($_POST['username']));
	$_POST['sponsor'] = strtolower(trim($_POST['sponsor']));
	$_POST['email'] = strtolower(trim($_POST['email']));
	
	$_SESSION['mc_data'] = $_POST;
	
	if(strlen($_POST['username']) < 3)
		$_SESSION['mc_msg'] = 'Username is too short.';
	else if(strlen($_POST['password']) < 6)
		$_SESSION['mc_msg'] = 'Password is too short.';
	else if($_POST['password'] != $_POST['confirm_password'])
		$_SESSION['mc_msg'] = 'Passwords don\'t match.';
	else if(strlen($_POST['full_name']) < 1)
		$_SESSION['mc_msg'] = 'Full name is blank.';
	else if(strpos($_POST['email'],'@') < 1 || strpos($_POST['email'],'.') < 1)
		$_SESSION['mc_msg'] = 'Invalid email.';
	/*
	else if(!is_numeric($_POST['phone']) || strlen($_POST['phone']) != 10)
		$_SESSION['mc_msg'] = 'Invalid phone.';
	*/
	else
	{
		$fullName = explode(' ',trim($_POST['full_name']));
		if(count($fullName) < 2)
			$_SESSION['mc_msg'] = 'Invalid name.';
			
		$rs = $Core->DB->query('SELECT * FROM users WHERE username=\''.$Core->DB->esc($_POST['username']).'\' LIMIT 1');
		
		if($rs->rowCount() > 0)
			$_SESSION['mc_msg'] = 'Username is taken.';
			
		$rs = $Core->DB->query('SELECT * FROM users WHERE email=\''.$Core->DB->esc($_POST['email']).'\' LIMIT 1');
		
		if($rs->rowCount() > 0)
			$_SESSION['mc_msg'] = 'E-mail is taken.';
			
		
		if(!isset($_SESSION['mc_msg']))
		{
			$code = md5(rand(1,9999));
			$Core->DB->query('INSERT INTO users (username,password,flags,full_name,email,code) VALUES (\''.$Core->DB->esc($_POST['username']).'\',\''.
								sha1($Conf['prehash'].$_POST['password']).'\',\'U\',\''.$Core->DB->esc($_POST['full_name']).'\',\''.$Core->DB->esc($_POST['email']).'\',\''.$code.'\')');
			$Core->redirect('./#signup_complete');
		}
	}
}

$Core->redirect('./#signup');	
?>