<?php
if(!defined('CORE'))
	exit(0);

global $IGroups;
	
class CGroups
{
	function getSelect($default = 0, $dval = '(none)')
	{
		global $Core;
		$rs = $Core->DB->query('SELECT * FROM groups ORDER BY name ASC');
		$content = '<select name="group">';
		
		$content .= '<option value="0">'.$dval.'</option>';
		
		while($row = $rs->getAssoc())
		{
			$content .= '<option value="'.$row['id'].'"'.($default == $row['id'] ? ' selected="selected"' : '').'>'.$row['name'].'</option>';
		}
		
		$content .= '</select>';
		
		return $content;
	}
	
	function get($mid)
	{
		global $Core;
		$rs = $Core->DB->query('SELECT * FROM groups WHERE id='.intval($mid).' LIMIT 1');
		return ($rs->rowCount() > 0 ? $rs->getAssoc() : false);
	}
	
	function getUsersQueryResult($gid)
	{
		global $Core;
		return $Core->DB->query('SELECT * FROM users WHERE gid='.intval($gid).' ORDER BY username ASC');
	}
	
	function delete($gid)
	{
		global $Core;
		$gid = intval($gid);
		$Core->DB->query('DELETE FROM groups WHERE id='.$gid.' LIMIT 1');
		$Core->DB->query('UPDATE users SET gid=0 WHERE gid='.$gid);		
	}
}

$IGroups = new CGroups();
?>