<?php
/*
	QMC (Quick Mini Core) by Alessandro Ubriaco
	http://core.seedfuse.com/
*/

if(!defined('CORE')) exit(0);

function MLang__phrase_sorter($a, $b)
{
	if(strlen($a[0]) == strlen($b[0]))
		return 0;
	else
		return (strlen($a[0]) > strlen($b[0]) ? -1 : 1);
}

class MLang
{
	var $L = false;
	var $Phrases = false;
	var $Hold = false;
	
	function MLang($l)
	{
		$this->L = $l;
		$this->init();
	}
	
	function init()
	{
		$path = 'lang/source/'.$this->L.'.lang';
		if(file_exists($path))
		{
			$this->Phrases = array();
			$file = fopen($path,'r');
			while(!feof($file))
			{
				$line = fgets($file);
				if($line[0] == '#')
					continue;
				if(strpos($line,'=') < 1)
					continue;
				$line = substr($line,0,strlen($line)-2);
				$p = explode('=',$line);
				$this->Phrases[] = array($p[0],$p[1]);
			}
			fclose($file);
			usort($this->Phrases, 'MLang__phrase_sorter');
		}
	}
	
	function all($s)
	{
		$this->Hold = array();
		if(preg_match_all('/<nolang>(.*)<\/nolang>/si',$s,$matches))
		{
			foreach($matches[0] as $k => $v)
			{
				$this->Hold[$k] = $matches[1][$k];
				$s = str_replace($v,'[[['.$k.']]]',$s);
			}
		}
		
	
		$find = array('/>([^<]+)</s','/<input[^>]*type="submit"[^>]*value="([^"]+)"[^>]*>/si');
		
		foreach($find as $v)
		{
			if(preg_match_all($v,$s,$matches))
			{
				foreach($matches[1] as $k => $v)
				{
					$s = str_replace($v, $this->phrase($v), $s);
				}
			}
		}
		
		foreach($this->Hold as $k => $v)
		{
			$s = str_replace('[[['.$k.']]]',$v,$s);
		}
		return $s;
	}
	
	function phrase($s)
	{
		if(is_array($this->Phrases))
		{
			foreach($this->Phrases as $v)
			{
				$s = str_replace($v[0],$v[1],$s);
			}
		}
		return $s;
	}

};

?>