<?php
/*
	QMC (Quick Mini Core) by Alessandro Ubriaco
	http://core.seedfuse.com/
*/
define('CORE',1);
include_once 'inc/mcore.php';
$Core->Layout->begin();

$init = isset($_GET['init']) ? htmlspecialchars($_GET['init']) : 'home';

if(isset($_GET['exec']))
{
	$cname = 'com/'.basename($_GET['exec']).'.php';
	if(file_exists($cname))
		$Core->R = include($cname);
}

if(isset($_GET['req_name']))
{
	header('Cache-Control: no-cache, must-revalidate'); 
	$params = explode('_',$_GET['req_q']);
	$pname = 'pages/'.basename($params[0]).'.php';
	
	ob_start();
	if(file_exists($pname))
		include $pname;
	else
		echo 'Failed to load page.';
	$content = ob_get_contents();
	ob_end_clean();
	echo $Core->Lang->all($content);
	$Core->end();
}

echo <<<HTML
<div id="panel-dyn"></div>
<script type="text/javascript">
<!--

Global.init('{$init}');

//-->
</script>
HTML;

$Core->Layout->end();
?>