<?php
/*
	QMC (Quick Mini Core) by Alessandro Ubriaco
	http://core.seedfuse.com/
*/

class MLayout
{
	var $Template;
	var $Lang = false;
	
	function MLayout($template)
	{
		$this->Template = $template;
	}
	
	function begin()
	{
		ob_start();
	}
	
	function end()
	{
		global $Conf;
		$content = ob_get_contents();
		ob_end_clean();
		if($this->Lang)
			$content = $this->Lang->all($content);
		define('_LAYOUT',1);
		
		ob_start();
		include 'templates/'.$this->Template.'/design.php';
		$output = ob_get_contents();
		ob_end_clean();
		
		if($this->Lang)
			$output = $this->Lang->all($output);
		
		echo $output;
	}

}

?>