<?php
if(!defined('CORE'))
	exit(0);


echo '<img src="images/loading.gif" border="0" alt="" onload="javascript:Template.setTab(\'users\'); this.style.display = \'none\';" />';

$menu = '';
if(!isset($params[2]) || $params[2] == 'page')
{
	$menu .= <<<HTML
	<li class="first"><a href="#admin_home" onclick="javascript:document.forms[0].action = '?exec=users&f=approve&sid={$Core->SID}'; document.forms[0].submit();"><img src="images/icons/add.png" border="0" alt="" /> Activate</a></li>
	<li><a href="#admin_home" onclick="javascript:document.forms[0].action = '?exec=users&f=suspend&sid={$Core->SID}'; document.forms[0].submit();"><img src="images/icons/delete.png" border="0" alt="" /> Suspend</a></li>
HTML;
}
else
	$menu .= '<li class="first"><a href="#admin_home"><img src="images/icons/users.png" border="0" alt="" /> User List</a></li>';

echo <<<HTML

<div class="left">
	<div class="head">Tools</div>
	<ul class="menu">
		{$menu}
	</ul>
</div>
HTML;

$pid = 1;

if(isset($params[2]))
{
	if($params[2] == 'edit')
	{
		$rs = $Core->DB->query('SELECT * FROM users WHERE id='.intval($params[3]).' LIMIT 1');
		if($rs->rowCount() < 1)
		{
			echo '<div class="error">User not found.</div>';
			return;
		}
		$row = $rs->getAssoc();
		
		echo <<<HTML
<div class="mid">
	<form action="?exec=users&f=edit&sid={$Core->SID}" method="post">
		<input type="hidden" name="_id" value="{$row['id']}" />
		<fieldset>
			<legend>Edit User</legend>
			<label>Username:</label>
			<div class="static">{$row['username']}</div>
			<label>Full Name:</label>
			<input type="text" name="full_name" class="text" value="{$row['full_name']}" />
			<label>E-Mail:</label>
			<input type="text" name="email" class="text" value="{$row['email']}" />
			<label>Change Password:</label>
			<input type="text" name="password" class="text" value="" />
		</fieldset>
		<div class="form-buttons">
			<input type="submit" name="b_submit" value="Edit" class="button" />
		</div>
	</form>
</div>
HTML;
	
		return;
	}
	if($params[2] == 'page')
		$pid = intval($params[3]);
}

$filter = isset($_SESSION['filter']) ? $_SESSION['filter'] : array('flags' => '_all', 'group' => '', 'username' => '');

$limit = 20;
if($pid < 1)
	$pid = 1;
	
$qmore = '';
if($filter['flags'] == '_empty')
	$qmore .= ' AND LENGTH(flags)<1';
else if(strlen($filter['flags']) > 0 && $filter['flags'] != '_all')
	$qmore .= ' AND INSTR(flags,\''.$Core->DB->esc($filter['flags']).'\')>0';

if(strlen($filter['username']) > 0)
	$qmore .= ' AND INSTR(LOWER(username),\''.$Core->DB->esc(strtolower($filter['username'])).'\')>0';
	
$filter['group'] = intval($filter['group']);
if($filter['group'] > 0)
	$qmore .= ' AND gid='.intval($filter['group']);

$rs = $Core->DB->query('SELECT * FROM users WHERE id!=0 '.$qmore.' ORDER BY id DESC LIMIT '.(($pid-1)*$limit).','.($limit+1));

$flags = array(	'_all' => 'All Flags',
				'_empty' => 'Pending',
				'U' => 'User',
				'A' => 'Admin',
				'S' => 'Suspended');

$filterFlags = '<select name="flags">';

foreach($flags as $k => $v)
{
	$filterFlags .= '<option value="'.$k.'"'.($filter['flags'] == $k ? ' selected="selected"' : '').'>'.$v.'</option>';
}

$filterFlags .= '</select>';



echo <<<HTML
<div class="mid">
	<h1>Users</h1>
	<form action="?exec=users&f=filter&sid={$Core->SID}" method="post">
	<div class="filter">
		<a href="#admin_home" onclick="javascript:document.forms[0].username.value='';document.forms[0].flags.selectedIndex=0;document.forms[0].group.selectedIndex=0;document.forms[0].submit();return false;"><img src="images/icons/delete.png" border="0" alt="" /></a>
		<input type="image" name="filter" class="image" value="" src="images/icons/search.png" />
		{$filterFlags}
		<input type="text" name="username" class="text" value="{$filter['username']}" />
	</div>
	<table class="list" width="100%" cellspacing="0" cellpadding="0">
		<tr class="h">
			<td class="first" width="50">&nbsp;</td>
			<td>Username</td>
			<td width="200">Full Name</td>
			<td width="100">Group</td>
			<td width="50" class="last">Flags</td>
		</tr>
		<nolang>
HTML;

$n = 0;
while($row = $rs->getAssoc())
{
	if(strlen($row['flags']) < 1)
		$flags = '<img src="images/user_icons/_empty.png" border="0" alt="_empty" />';
	else
	{
		$flags = '';
		for($i = 0;$i < strlen($row['flags']);$i++)
		{
			$flags .= '<img src="images/user_icons/'.$row['flags'][$i].'.png" border="0" alt="'.$row['flags'][$i].'" />';
		}
	}
		
	
	echo "<tr><td><input type=\"checkbox\" name=\"users[{$row['id']}]\" class=\"checkbox\" value=\"{$row['id']}\" /></td><td><a href=\"#admin_home_edit_{$row['id']}\">{$row['username']}</a></td><td>{$row['full_name']}</td><td>{$group['name']}</td><td>{$flags}</td></tr>";
	$n++;
	if($n >= $limit)
		break;
}

echo <<<HTML
		</nolang>
	</table>
	</form>
HTML;

echo '<div style="text-align: center;">';
if($pid > 1)
	echo '<a href="#admin_home_page_'.($pid-1).'">&lt;&lt; Previous</a>';
if($pid > 1 && $n >= $limit)
	echo ' | ';
if($n >= $limit)
	echo '<a href="#admin_home_page_'.($pid+1).'">Next &gt;&gt;</a>';
echo '</div>';
	
echo '</div>';
	
?>