
var Global =
{
	CurrentPanel : null,
	CurrentTab : null,
	CurrentReq : null,
	CurrentTabContainer : null,
	ItemTimer : false,
	
	init : function(dn)
	{
		var req = this.getRequest();
		if(req[0].length > 0)
		{
			this.showPanel('dyn', false, req[0]);
		}
		else
			this.showPanel('dyn', false, dn);
		this.init_links();
		this.checkRequest();
	},
	
	init_links : function()
	{
	/*
		var _self = this;
		var as = document.getElementsByTagName('a');

		
		for(var n = 0;n < as.length;n++)
		{
			try 
			{
				if(as[n].hasAttribute('href'))
				{
					var loc = as[n].getAttribute('href');
					if(loc.indexOf('#') > -1)
					{
						as[n].onclick = function() { _self.showPanel('dyn', false, false, 1, this); return true; };
					}
				}
			}
			catch(e)
			{
				if(as[n].href)
				{
					var loc = as[n].href;
					if(loc.indexOf('#') > -1)
					{
						as[n].onclick = function() { _self.showPanel('dyn', false, false, 1, this); return true; };
					}
				}
			}
		}
		*/
	},
	
	checkRequest : function()
	{
		var _self = this;
		var req = this.getRequest();
		if(req.length > 0 && req[0].length > 0)
		{
			if(this.CurrentReq != req[0])
				this.showPanel('dyn',false,req[0]);
		}
		setTimeout(function() { _self.checkRequest(); }, 250);
	},
	
	getRequest : function()
	{
		var uri = document.location.href;
		if(uri.indexOf('#') > 0)
		{
			var req = uri.substr(uri.indexOf('#') + 1);
			if(req.indexOf('-') > 0)
			{
				return req.split('-');
			}
			else
				return [req];
		}
		else
			return [''];
	},
	
	showPanel : function(name, slideFrom, req, flags, obj)
	{
		var _self = this;
		
		this.CurrentReq = req;
		
		if(!slideFrom)
			slideFrom = 'left';
			
		if(flags == 1 && obj)
		{
			var loc = obj.getAttribute('href');
			req = loc.substr(loc.indexOf('#')+1);
		}
			
		var nextPanel = document.getElementById('panel-' + name);
		if(!nextPanel)
			return;
		
		if(this.CurrentPanel)
		{
			this.CurrentPanel.className = 'panel-out' + slideFrom;
			var tmp = this.CurrentPanel;
			this.hidePanel(tmp);
			//setTimeout(function() { _self.hidePanel(tmp); }, 300);
		}
			
		this.CurrentPanel = nextPanel;
		
		if(this.CurrentPanel)
		{
			this.CurrentPanel.style.display = 'block';
			this.CurrentPanel.className = 'panel-in' + slideFrom;
		}
		
		if(req)
		{
			this.CurrentPanel.innerHTML = '<img src="images/loading.gif" border="0" alt="" style="display: block; margin: 10px auto;" />';
			var xmlhttp;
			if (window.XMLHttpRequest)
			{
				xmlhttp=new XMLHttpRequest();
			}
			else if (window.ActiveXObject)
			{
				xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
			}
				xmlhttp.onreadystatechange = 
					function()
					{
						if(xmlhttp.readyState == 4)
						{
							_self.CurrentPanel.innerHTML = xmlhttp.responseText;
							_self.init_links();
						}
					};
			xmlhttp.open('GET','index.php?req_name=' + name + '&req_q=' + req,true);
			//xmlhttp.setRequestHeader( "If-Modified-Since", "Sat, 1 Jan 2000 00:00:00 GMT" );
			xmlhttp.send(null);
		}
	},
	
	hidePanel : function(obj)
	{
		obj.style.display = 'none';
	}
	
};
