
function CSMenu(name)
{
	var _self = this;
	this.Container = document.getElementById(name);
	
	this.show = function(obj)
	{
		if(obj.submenu)
		{
			obj.opened = true;
			if(obj.submenu.offsetHeight < obj.submenu.maxh)
			{
				obj.submenu.style.display = 'block';
				var h = (obj.submenu.offsetHeight*1.5+2);
				if(h > obj.submenu.maxh)
					h = obj.submenu.maxh;
				obj.submenu.style.height = h + 'px';
				obj.submenu.style.opacity = h/obj.submenu.maxh;
				obj.submenu.style.filter = 'alpha(opacity=' + (h*100/obj.submenu.maxh) + ')';
				obj.submenu.timer = setTimeout(function() { _self.show(obj); }, 15);
			}
		}
	}
	
	this.hide = function(obj)
	{
		clearTimeout(obj.submenu.timer);
		obj.submenu.style.display = 'none';
		obj.submenu.style.height = '0px';
		obj.opened = false;
	}
	
	this.toggle = function(obj)
	{
		if(obj.opened)
			this.hide(obj);
		else
			this.show(obj);
	}
	
	var as = document.getElementsByTagName('a');
	
	for(var n = 0; n < as.length; n++)
	{
		//as[n].onmouseover = function() { if(this.timer) clearTimeout(this.timer); _self.show(this); }
		//as[n].onmouseout = function() { this.timer = setTimeout(function() { _self.hide(this); }, 1000); }
		
		var ul = as[n].parentNode.getElementsByTagName('ul');
		
		if(ul.length > 0)
		{
			as[n].onclick = function() { _self.toggle(this); return false; }
			as[n].opened = false;
			as[n].submenu = ul[0];
			ul[0].style.display = 'block';
			ul[0].style.height = 'auto';
			ul[0].maxh = ul[0].offsetHeight;
			ul[0].style.height = '0px';
			ul[0].style.display = 'none';
			ul[0].style.overflow = 'hidden';
		}
	}
}
